﻿using System.Collections.ObjectModel;
using System.Linq;
using OpenQA.Selenium;

namespace Selenium.Examples
{
    public class SeleniumHelpers
    {
        private readonly IWebDriver _driver;

        public SeleniumHelpers(IWebDriver driver)
        {
            _driver = driver;
        }

        public int GetNumberOfRowsInTable(string tableId)
        {
            ReadOnlyCollection<IWebElement> table = _driver
                                                    .FindElements(By.Id(tableId));

            return table
                .Select(webElement => webElement.FindElements(By.XPath("//tr")))
                .Select(rows => rows.Count)
                .FirstOrDefault();
        }

        public int GetNumberOfOptionsInSelect(string selectId)
        {
            ReadOnlyCollection<IWebElement> selectList = _driver.FindElements(By.Id(selectId));

            return selectList
                .Select(webElement => webElement.FindElements(By.XPath("//option")))
                .Select(rows => rows.Count)
                .FirstOrDefault();
        }
    }
}
